
  public partial class PlaceHolder : System.Web.UI.Page
  {
      protected void Page_Load(object sender, EventArgs e)
      {
          for (int i = 1; i <= 5; 【i】++)
          {
              //创建Button控件
              System.Web.UI.WebControls.Button btn = new System.Web.UI.WebControls.【Button】();
              //设置Button控件的文本
              btn.Text = "按钮" + i.ToString();
              //把Button控件加入到PlaceHolder1中显示出来
              PlaceHolder1.Controls.【Add】(【btn】);
          }	
  
      }
  }
  
